d.vect.thematic(1)

NAME
d.vect.thematic - Displays thematic vectormap

KEYWORDS
display, legend

SYNOPSIS
d.vect.thematic
d.vect.thematic help
d.vect.thematic [-fulsmg] map=string type=string column=string themetype=string themecalc=string [breakpoints=string] [layer=integer] [icon=string] [size=float] [maxsize=float] [nint=integer] colorscheme=string [pointcolor=string] [linecolor=string] [startcolor=string] [endcolor=string] [monitor=string] [group=string] [where=string] [psmap=string]

  Flags:

-f  Only draw fills (no outlines) for areas and points

-u  Update color values to GRASSRGB column in attribute table

-l  Create graphic legend in x11 display monitor

-s  Use with GIS Manager (special legend and display output)

-m  Use math notation brackets in legend

-g  Save thematic map commands to group file for GIS Manager

  Parameters:

map=string
    Vector map to display thematically

type=string
    Vector map type Options: area,point,centroid,line,boundary Default: area

column=string
    Attribute column to use for thematic display (must be numeric)

themetype=string
    Type of thematic display Options: graduated_colors,graduated_points,graduated_lines Default: graduated_colors

themecalc=string
    Thematic divisions of data for display Options: interval,std_deviation,quartiles,custom_breaks Default: interval

breakpoints=string
    Break points for custom breaks option. Separate values by spaces. (0 10 20 30 ...)

layer=integer
    Layer to use for thematic display Default: 1

icon=string
    Vector point icon for point data Options: basic/box,basic/circle,basic/cross2,basic/diamond,basic/star,basic/cross1,basic/x Default: basic/circle

size=float
    Icon size for point data (minimum icon size/line width for graduated points/lines) Default: 5

maxsize=float
    Maximum icon size/line width for graduated points and lines Default: 20

nint=integer
    Number of classes for interval theme (integer) Default: 4

colorscheme=string
    Color scheme for graduated color mapping (select 'single_color' for graduated point/line display) Options: blue-red,red-blue,green-red,red-green,blue-green,green-blue,cyan-yellow,yellow-cyan,custom_gradient,single_color Default: blue-red

pointcolor=string
    Color for graduated points map (grass named color or R:G:B triplet). Set color scheme to single color. Default: 255:0:0

linecolor=string
    Color for graduated lines or point/area outlines (grass named color or R:G:B triplet). Set color scheme to single color. Default: 0:0:0

startcolor=string
    Beginning color for custom color gradient. Must be expressed as R:G:B triplet. Default: 255:0:0

endcolor=string
    Ending color for custom color gradient. Must be expressed as R:G:B triplet Default: 0:0:255

monitor=string
    Select x11 display monitor for legend Options: x0,x1,x2,x3,x4,x5,x6,none Default: x1

group=string
    Name of group file where thematic map commands will be saved

where=string
    WHERE conditions of SQL statement without 'where' keyword

psmap=string
    Root for the name of psmap instruction files to be in current directory (if not set, no psmap instruction files will be created)

DESCRIPTION

d.vect.thematic - Creates thematic maps from vectors of all types and numeric attributes (stored in the data table connected to a vector map). Thematic maps can be displayed by either a graduated color scheme (for all vector types), as graduated icon sizes (for point and centroid types), or graduated line widths (for lines and boundaries with associated attributes). The user selects the vector map to be mapped and attribute column from which to derive mapping intervals, and (optionally) the layer for attribute data.

In thematic maps, the color or point size changes for each range of attribute values. Value ranges for thematic mapping can be set at regular intervals, standard deviation units on either side of the mean, quartiles, or delimited by user-defined breakpoints. User-defined breakpoints also can be entered, or piped into d.vect.thematic from standard input or other external source.

There are options to define the color scheme (graduated colors) and range of point sizes (graduated points) for thematic maps. A simple text legend is printed. Optionally, a graphic legend can be drawn in the selected display monitor. Thematic colors can be uploaded to a GRASSRGB column for later display, and thematic map display commands can be saved to a group file (*.dm) that can be opened, edited, and displayed in the GIS Manager.

When the psmap option is set to 'name', two psmap instruction files are created (in the current directory if no path is given), one for the map ('name.psmap') and one for the legend ('name_legend.psmap'). The map file also contains 'label' commands which allow to create a legend directly in the map by adding a 'vlegend' command. See the ps.map man page for more details.

(GRASS Shell Script)

ATTENTION
The algorithm currently uses the script v.univar.sh to calculate basic descriptive statistics needed for thematic mapping (minimum, maximum, mean, standard deviation, and quartiles).

EXAMPLES
Earthquake points with color gradient:
d.vect.thematic -l recent_earthquakes column=magnitude type=point

Earthquake points with different sizes:
d.vect.thematic -l recent_earthquakes column=magnitude type=point \
                themetype=graduated_points maxsize=15

SEE ALSO
d.vect, d.vect.chart, v.univar.sh

AUTHORS
Michael Barton, Arizona State University, Daniel Cavelo Aros, Martin Landa, and Jachym Cepicky.

Last changed: $Date: 2007/06/02 20:47:26 $

Full index